%global debug_package %{nil}

Summary:  LibXL is a library for direct reading and writing Excel files.
Name:     libxl
Version:  3.8.5
Release:  1%{?dist}
License:  LibXL License
URL:      https://www.libxl.com
Source:   %{url}/download/libxl-lin-%{version}.tar.gz

%description
LibXL is a library that can read and write Excel files. It doesn\'t
require Microsoft Excel and .NET framework, combines an easy to use
and powerful features. Library can be used to
- Generate a new spreadsheet from scratch
- Extract data from an existing spreadsheet
- Edit an existing spreadsheet

LibXL can help your applications in exporting and extracting data
to/from Excel files with minimum effort. Also it can be used as report
engine. Library can be used in C, C++, C#, Delphi, Fortran and other
languages. Supports Excel 97-2003 binary formats (xls) and Excel 2007-2016
xml formats (xlsx/xlsm). Supports Unicode and 64-bit platforms. There
are a wrapper for .NET developers and separate Linux, Mac and iOS
editions.

%package devel
Summary: LibXL development files
Requires: %{name} = %version

%description devel
LibXL development package

%prep
%setup -q -n %{name}-%{version}.0

%build
# nothing to do

%install
install -Dm644 lib64/libxl.so %{buildroot}%{_libdir}/libxl.so

for i in include_cpp/*.h; do \
  install -Dm644 $i %{buildroot}%{_includedir}/libxl/$(basename $i); \
done

for i in $(find doc -type f); do \
  install -Dm644 $i %{buildroot}%{_docdir}/%{name}/$(echo $i | cut -d'/' -f2-); \
done

%files
%license license.txt
%{_libdir}/libxl.so

%files devel
%{_docdir}/libxl/
%{_includedir}/libxl/
